Project

General

Profile

Fix #7050

centos 6.5 fails weirdly without package bitmap-fonts, others may need dependency

Added by Dan Mick almost 8 years ago. Updated over 7 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
Category:
Backend (packaging/deployment)
Target version:
% Done:

0%

Source:
other
Tags:
Backport:
Reviewed:
Affected Versions:
ceph-qa-suite:
Crash signature (v1):
Crash signature (v2):

Description

An odd problem where graphite /render using libcairo ends up throwing a Python MemoryError is
apparently resolved on Centos 6.5 by adding the bitmap-fonts package. Need to nail down whether that
is a missing dependency and for which package(s).

History

#1 Updated by Dan Mick almost 8 years ago

  • Target version set to v1.1rc4

#2 Updated by Dan Mick almost 8 years ago

Internal Server Error: /render/
Traceback (most recent call last):
File
"/opt/graphite/lib/python2.6/site-packages/django/core/handlers/base.py", line
115, in get_response
response = callback(request, *callback_args, **callback_kwargs)
File "/opt/graphite/webapp/graphite/render/views.py", line 174, in
renderView
image = doImageRender(requestOptions['graphClass'], graphOptions)
File "/opt/graphite/webapp/graphite/render/views.py", line 380, in
doImageRender
img = graphClass(**graphOptions)
File "/opt/graphite/webapp/graphite/render/glyph.py", line 189, in __init__
self.drawGraph(**params)
File "/opt/graphite/webapp/graphite/render/glyph.py", line 642, in drawGraph
self.drawLegend(elements, params.get('uniqueLegend', False))
File "/opt/graphite/webapp/graphite/render/glyph.py", line 316, in
drawLegend
testExt = self.getExtents(testSizeName)
File "/opt/graphite/webapp/graphite/render/glyph.py", line 226, in
getExtents
F = self.ctx.font_extents()
MemoryError

#3 Updated by Ian Colle over 7 years ago

  • Target version changed from v1.1rc4 to v1.1

#4 Updated by Dan Mick over 7 years ago

  • translation missing: en.field_story_points set to 2.0

#5 Updated by Ian Colle over 7 years ago

  • Target version changed from v1.1 to v1.2-dev3

#6 Updated by John Spray over 7 years ago

  • Category set to Backend (packaging/deployment)

#7 Updated by Dan Mick over 7 years ago

  • Status changed from 12 to Rejected

No solid evidence yet; if we have a problem on 6.5 we'll add a package dependency for 1.2

Also available in: Atom PDF